Bug 439678 - distorted screen in evolution with i915.modeset=1
distorted screen in evolution with i915.modeset=1
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-30 06:24 EDT by Matěj Cepl
Modified: 2009-04-24 01:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-24 01:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
example of unusable composer (59.26 KB, image/png)
2008-03-30 06:24 EDT, Matěj Cepl
no flags Details
/etc/X11/xorg.conf (933 bytes, text/plain)
2008-03-30 06:33 EDT, Matěj Cepl
no flags Details
current /var/log/Xorg.0.log (without i915.modeset=1) (28.32 KB, text/plain)
2008-03-30 06:34 EDT, Matěj Cepl
no flags Details
/var/log/Xorg.0.log.olg (I am not sure what exactly it is) (16.92 KB, text/plain)
2008-03-30 07:12 EDT, Matěj Cepl
no flags Details
Illustration (notice no compositing manager) (162.74 KB, image/png)
2008-04-22 18:20 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2008-03-30 06:24:59 EDT
Description of problem:
When running with i915.modeset=1 composer in the Evolution gets so many
artifacts that it is basically unreadable (see attached screenshot).

Version-Release number of selected component (if applicable):
[matej@viklef ~]$ rpm -q xorg-x11-drv-i810 xorg-x11-server-Xorg evolution kernel
[matej@viklef ~]$ uname -a
Linux viklef.ceplovi.cz 2.6.25-0.163.rc7.git1.fc9.i686 #1 SMP Thu Mar 27
09:56:04 EDT 2008 i686 i686 i386 GNU/Linux
[matej@viklef ~]$ 

How reproducible:

Steps to Reproduce:
1. open composer to create new mail in Evolution (or reply to the existing mail)
2. touch a text anywhere in the body of the email
Actual results:
observe a lot of artifacts making the composed text unreadable

Expected results:
no artifacts and world peace :-)

Additional info:
without i915.modeset=1 everything works as expected
Comment 1 Matěj Cepl 2008-03-30 06:24:59 EDT
Created attachment 299616 [details]
example of unusable composer
Comment 2 Matěj Cepl 2008-03-30 06:33:19 EDT
Created attachment 299617 [details]
Comment 3 Matěj Cepl 2008-03-30 06:34:11 EDT
Created attachment 299618 [details]
current /var/log/Xorg.0.log (without i915.modeset=1)
Comment 4 Matěj Cepl 2008-03-30 07:12:23 EDT
Created attachment 299619 [details]
/var/log/Xorg.0.log.olg (I am not sure what exactly it is)
Comment 5 Matěj Cepl 2008-04-22 18:20:29 EDT
Created attachment 303391 [details]
Illustration (notice no compositing manager)
Comment 6 Bug Zapper 2008-05-14 04:26:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 7 Matěj Cepl 2009-04-24 01:09:10 EDT

Note You need to log in before you can comment on or make changes to this bug.